#!/bin/bash

plot_command() {
	local logfile="$1"

	local measuretime="$(date -d @$(echo "$logfile" | cut -d- -f2) +'%Y-%m-%d')"
	local filename="$(echo "$logfile" | cut -d- -f3- | sed -re 's/.log$//' | sed -re 's/_/-/g' )"
	
	cat <<EOM

set terminal pngcairo nocrop enhanced font "verdana,8" size 1280,800
set datafile separator "\t"
set title 'Compression time vs ratio (${filename}, ${measuretime})' font ",12"
set xlabel "Duration (lower is better)"
set ylabel "Size reduction (higher is better)"
set logscale x

EOM
	
	echo 'plot \'
	
	grep -v '^#' "$logfile" | cut -d$'\t' -f1 | sort | uniq | while read -r family ; do
	
		echo ' "< grep \"'${family}'\" '${logfile}' | sort -t$'"'\t'"' -n -k3 " index 0 using ($3):($4/$5) title "'${family}'" , \'		
		#with linespoints
	
	done

}

plot_command "results-1474695937-veekun-pokedex-20160328.tar.log" | gnuplot -p - > output-veekun.png
