#!/bin/bash

brotli_setup() {

	local binpath=${ROOTDIR}/plugins/bin/brotli/bin/bro.exe

	# Install lz4 if it doesn't already exist

	if [[ ! -f ${binpath} ]] ; then
		(
			mkdir -p ${ROOTDIR}/plugins/bin || true
			cd ${ROOTDIR}/plugins/bin
			
			git clone https://github.com/google/brotli
			cd brotli
			make
		)
	fi

	local version=$(date -d@$( cd ${ROOTDIR}/plugins/bin/brotli && git log -n1 --format=%at ) +%Y%m%d-git)
	
	# Register compression targets

	for level in {0..11} ; do
		# default window size
		compressor_register \
			"brotli ${version}" \
			"bro -${level}" \
			"${binpath} --quality ${level} --output %OUTFILE% --input %INFILE%"
			
		# 24-bit window size (16MB)
		compressor_register \
			"brotli ${version}" \
			"bro -${level} -w24" \
			"${binpath} --quality ${level} --window 24 --output %OUTFILE% --input %INFILE%"
	done

}

brotli_setup
