#!/bin/bash

lz4_setup() {

	local lz4_path=${ROOTDIR}/plugins/bin/lz4/programs/lz4.exe

	# Install lz4 if it doesn't already exist

	if [[ ! -f ${lz4_path} ]] ; then
		(
			mkdir -p ${ROOTDIR}/plugins/bin || true
			cd ${ROOTDIR}/plugins/bin
			
			git clone https://github.com/Cyan4973/lz4
			cd lz4
			make
		)
	fi

	local version=$( ${lz4_path} --version 2>&1 | grep -Eo '[0-9]+\.[0-9]+\.[0-9]+' )
	
	# Register compression targets

	for level in {1..9} ; do
		compressor_register \
			"lz4 ${version}" \
			"lz4 -${level}" \
			"${lz4_path} -${level} %INFILE% %OUTFILE%"
	done

}

lz4_setup
