#!/bin/bash

lz5_setup() {

	local lz5_path=${ROOTDIR}/plugins/bin/lz5/programs/lz5.exe

	if [[ ! -f ${lz5_path} ]] ; then
		(
			mkdir -p ${ROOTDIR}/plugins/bin || true
			cd ${ROOTDIR}/plugins/bin
		
			git clone https://github.com/inikep/lz5
			cd lz5
			make
		)
	fi
	
	local version=$( ${lz5_path} --version 2>&1 | grep -Eo '[0-9]+\.[0-9]+\.[0-9]+' )
	
	# Register compression targets

	for level in {0..15} ; do
		compressor_register \
			"lz5 ${version}" \
			"lz5 -${level}" \
			"${lz5_path} -${level} %INFILE% %OUTFILE%"
	done
}

lz5_setup
