#!/bin/bash

xz_setup() {

	xz_version=$( xz -V | tail -n1 | cut -d' ' -f2- )

	for level in {1..9} ; do
	
		# Regular xz
	
		compressor_register \
			"xz ${xz_version}" \
			"xz -${level}" \
			"xz -${level} -c %INFILE% > %OUTFILE%"
			
		compressor_register \
			"xz ${xz_version}" \
			"xz -${level}e" \
			"xz -${level}e -c %INFILE% > %OUTFILE%"
			
		# Multithreaded xz
			
		compressor_register \
			"xz ${xz_version}-mt" \
			"xz -${level} -T0" \
			"xz -${level} -T0 -c %INFILE% > %OUTFILE%"
		
	done
	
}

xz_setup
