#!/bin/bash

zpaq_setup() {

	local binpath=${ROOTDIR}/plugins/bin/zpaq/zpaq.exe

	# Install lz4 if it doesn't already exist

	if [[ ! -f ${binpath} ]] ; then
		(
			mkdir -p ${ROOTDIR}/plugins/bin/zpaq || true
			cd ${ROOTDIR}/plugins/bin/zpaq
			
			wget http://mattmahoney.net/dc/zpaq715.zip
			unzip zpaq715.zip
			rm ./*.exe
			make
		)
	fi

	local version=$( ${binpath} --help | head -n1 | grep -Eo 'v[0-9][^ ]+' )
	
	# Register compression targets

	for level in {0..5} ; do
		compressor_register \
			"zpaq ${version}" \
			"zpaq -t1 -m${level}" \
			"${binpath} -t1 -method ${level} a %OUTFILE% %INFILE%"
			
		compressor_register \
			"zpaq ${version}-mt" \
			"zpaq -t0 -m${level}" \
			"${binpath} -t0 -method ${level} a %OUTFILE% %INFILE%"
	done

}

zpaq_setup
